# # #
# /29/class2proc.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/29-become-a-proc-star
# # #

# Shortcut for initializing objects

class Class
  def to_proc
    Proc.new{ |*args|
      self.new *args
    }
  end
end

# usage
#  [[1,2],[3,5,6,7]].map &Set  # => [#<Set: {1, 2}>, #<Set: {5, 6, 7, 3}>]
